Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 705974 - media-libs/gstreamer-1.14.5: fails to build with make-4.3: controller-enumtypes.c:6:1: error: stray \ in program
Summary: media-libs/gstreamer-1.14.5: fails to build with make-4.3: controller-enumtyp...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: GStreamer package maintainers
URL:
Whiteboard:
Keywords:
: 707014 (view as bug list)
Depends on:
Blocks: make-4.3
  Show dependency tree
 
Reported: 2020-01-20 21:25 UTC by Toralf Förster
Modified: 2020-03-18 11:22 UTC (History)
25 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.39 KB, text/plain)
2020-01-20 21:25 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,31.69 KB, text/plain)
2020-01-20 21:25 UTC, Toralf Förster
Details
environment (environment,70.82 KB, text/plain)
2020-01-20 21:25 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.46 KB, application/x-bzip)
2020-01-20 21:25 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,18.88 KB, application/x-bzip)
2020-01-20 21:25 UTC, Toralf Förster
Details
media-libs:gstreamer-1.14.5:20200120-205856.log (media-libs:gstreamer-1.14.5:20200120-205856.log,341.97 KB, text/plain)
2020-01-20 21:25 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,33.21 KB, application/x-bzip)
2020-01-20 21:25 UTC, Toralf Förster
Details
gstreamer-1.16.2-make43.patch (gstreamer-1.16.2-make43.patch,1.88 KB, patch)
2020-01-23 12:01 UTC, Lars Wendler (Polynomial-C)
Details | Diff
/etc/portage/patches/media-libs/gstreamer-1.14.5/make-fix.patch (make-fix.patch,2.39 KB, patch)
2020-01-25 01:53 UTC, Viz
Details | Diff
/etc/portage/patches/media-libs/gst-plugins-base-1.14.5-r1/make-fix.patch (make-fix.patch,18.06 KB, patch)
2020-01-25 02:50 UTC, Viz
Details | Diff
/etc/portage/patches/media-libs/gst-plugins-bad-1.14.5/make-fix.patch (make-fix.patch,11.80 KB, patch)
2020-01-25 03:04 UTC, Viz
Details | Diff
gstreamer-make43-wo-automake.patch (make43.patch,3.10 KB, patch)
2020-02-26 00:09 UTC, David Seifert
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-20 21:25:09 UTC
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/media-libs/gstreamer-1.14.5/work/gstreamer-1.14.5/libs/gst/controller -I../../.. -I/var/tmp/portage/media-libs/gstreamer-1.14.5/work/gstreamer-1.14.5/libs -I/var/tmp/portage/media-libs/gstreamer-1.14.5/work/gstreamer-1.14.5 -I../../../libs -I../../.. -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -pthread -DG_THREADS_MANDATORY -DG_DISABLE_CAST_CHECKS -fno-strict-aliasing -Wall -Wdeclaration-after-statement -Wvla -Wpointer-arith -Wmissing-declarations -Wmissing-prototypes -Wredundant-decls -Wundef -Wwrite-strings -Wformat-nonliteral -Wformat-security -Wold-style-definition -Winit-self -Wmissing-include-dirs -Waddress -Waggregate-return -Wno-multichar -Wnested-externs -O2 -pipe -march=native -c controller-enumtypes.c  -fPIC -DPIC -o .libs/libgstcontroller_1.0_la-controller-enumtypes.o
controller-enumtypes.c:6:1: error: stray ‘\’ in program
    6 | \#include "gstinterpolationcontrolsource.h"
      | ^
controller-enumtypes.c:6:2: error: stray ‘#’ in program

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-20200119-200601

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 20 Jan 2020 20:06:17 +0000

emerge -qpvO media-libs/gstreamer
[ebuild  N    ] media-libs/gstreamer-1.14.5  USE="caps introspection nls orc -test -unwind" ABI_X86="(64) -32 (-x32)"
Comment 1 Toralf Förster gentoo-dev 2020-01-20 21:25:11 UTC
Created attachment 603826 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-20 21:25:14 UTC
Created attachment 603828 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-20 21:25:17 UTC
Created attachment 603830 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-20 21:25:19 UTC
Created attachment 603832 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-20 21:25:22 UTC
Created attachment 603834 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-20 21:25:25 UTC
Created attachment 603836 [details]
media-libs:gstreamer-1.14.5:20200120-205856.log
Comment 7 Toralf Förster gentoo-dev 2020-01-20 21:25:28 UTC
Created attachment 603838 [details]
temp.tbz2
Comment 8 Ben Kohler gentoo-dev 2020-01-21 17:17:54 UTC
It looks like gstreamer-1.14.5/libs/gst/controller/controller_mkenum.py is generating some bad code when it calls glib-mkenums, is this possibly breaking on newer python versions?

Looks like this part of the upstream build system was removed: https://gitlab.freedesktop.org/gstreamer/gstreamer/commit/cf2be53b24eb79f2c8f85f9d662776a4c1114c20
Comment 9 Mart Raudsepp gentoo-dev 2020-01-21 17:50:15 UTC
The autotools build doesn't use controller_mkenum.py and this has nothing to do with it. glib-mkenums proper is for some reason adding it per logs and I can't reproduce (my glib-mkenums uses py3.6, if that matters).
Comment 10 Ben Kohler gentoo-dev 2020-01-21 18:03:35 UTC
Stable amd64 is generating this in controller-enumtypes.c:

/* This file is generated by glib-mkenums, do not modify it. This code is licensed under the same license as the containing project. Note that it links to GLib, so must comply with the LGPL linking clauses. */

#include "controller-enumtypes.h"

#include "gstinterpolationcontrolsource.h"
#include "gstlfocontrolsource.h"


Unstable ~amd64 is generating this:

 /* This file is generated by glib-mkenums, do not modify it. This code is licensed under the same license as the containing project. Note that it links to GLib, so must comply with the LGPL linking clauses. */

#include "controller-enumtypes.h"

\#include "gstinterpolationcontrolsource.h"
\#include "gstlfocontrolsource.h"
Comment 11 Michael Schneider 2020-01-22 09:28:18 UTC
Same problem here. If i mask sys-devel/make-4.3 and downgrade to sys-devel/make-4.2.1-r4, gstreamer compiles and runs normally.
Comment 12 Daniel Harding 2020-01-22 09:38:49 UTC
Thanks for that tip Michael - downgrading sys-devel/make addressed the issue for me as well.
Comment 13 Kobboi 2020-01-22 10:34:58 UTC
Same for gst-plugins-* packages. I logged one or two bugs about them, but won't for the others.
Comment 14 Ben Kohler gentoo-dev 2020-01-22 15:55:29 UTC
Probably due to:

http://git.savannah.gnu.org/cgit/make.git/tree/NEWS#n18

"
* WARNING: Backward-incompatibility!
  Number signs (#) appearing inside a macro reference or function invocation
  no longer introduce comments and should not be escaped with backslashes:
  thus a call such as:
    foo := $(shell echo '#')
  is legal.  Previously the number sign needed to be escaped, for example:
    foo := $(shell echo '\#')
  Now this latter will resolve to "\#".  If you want to write makefiles
  portable to both versions, assign the number sign to a variable:
    H := \#
    foo := $(shell echo '$H')
  This was claimed to be fixed in 3.81, but wasn't, for some reason.
  To detect this change search for 'nocomment' in the .FEATURES variable.
"
Comment 15 Lars Wendler (Polynomial-C) gentoo-dev 2020-01-23 12:01:39 UTC
Created attachment 604048 [details, diff]
gstreamer-1.16.2-make43.patch

Possbible fix. Requires eautoreconf from autotools.eclass to be called.
Comment 16 Pavel Volkov 2020-01-24 05:30:59 UTC
Same error occurs in media-libs/gst-plugins-* packages.

Specifically, gst-plugins-base and gst-plugins-bad.
Comment 17 Lars Wendler (Polynomial-C) gentoo-dev 2020-01-24 21:05:59 UTC
You can find patches for all five gst tarballs here:

  https://www.gentoofan.org/gentoo/misc/gst/
Comment 18 Pavel Volkov 2020-01-24 21:15:14 UTC
These are for 1.16, they failed apply to 1.14.5.
Patch for gstreamer worked, though.
Comment 19 Viz 2020-01-25 01:53:33 UTC
Created attachment 604218 [details, diff]
/etc/portage/patches/media-libs/gstreamer-1.14.5/make-fix.patch

(In reply to Pavel Volkov from comment #18)
> These are for 1.16, they failed apply to 1.14.5.
> Patch for gstreamer worked, though.

I've ported the poly-c's patch to 1.14.5
Comment 20 Viz 2020-01-25 02:50:43 UTC
Created attachment 604220 [details, diff]
/etc/portage/patches/media-libs/gst-plugins-base-1.14.5-r1/make-fix.patch

Also attach patch for gst-plugins-base-1.14.5-r1
Comment 21 Viz 2020-01-25 03:04:55 UTC
Created attachment 604222 [details, diff]
/etc/portage/patches/media-libs/gst-plugins-bad-1.14.5/make-fix.patch

And gst-plugins-bad-1.14.5 as well
Comment 22 inactive 2020-01-28 14:49:10 UTC
(In reply to Ben Kohler from comment #14)
is there a meta bug tracking this `make` change for any other packages?

for example:

app-editors/jove/files/jove-4.16.0.73-build.patch:128: 	@echo \#define LIBDIR \"$(LIBDIR)\" >> paths.h

media-sound/toolame/files/toolame-02l-gentoo.diff:62:+	-rm $(OBJ) $(DEP) $(PGM) \#*\# *~ 2>/dev/null

sys-libs/libselinux/files/0001-libselinux-Use-Python-distutils-to-install-SELinux-p.patch:169:+	-rm -rf build *~ \#* *pyc .#*

etc. but not more than 60 files, most likely way less! (I grep-ed)
Comment 23 Ben Kohler gentoo-dev 2020-01-28 20:30:15 UTC
*** Bug 707014 has been marked as a duplicate of this bug. ***
Comment 24 Juan Pedro 2020-02-11 11:39:37 UTC
I have applied the patches and media-plugins/gst-plugins-srtp does not compile
http://dpaste.com/1NZFMP9
Comment 25 Juan Pedro 2020-02-11 11:45:55 UTC
(In reply to Daniel Harding from comment #12)
> Thanks for that tip Michael - downgrading sys-devel/make addressed the issue
> for me as well.

Gracias! ahora si que me compila
Comment 26 David Seifert gentoo-dev 2020-02-26 00:09:02 UTC
Created attachment 615942 [details, diff]
gstreamer-make43-wo-automake.patch

Here's Poly's patch with autoreconf applied - this patch doesn't require running autoreconf.
Comment 27 Hank Leininger 2020-03-07 20:11:52 UTC
(In reply to David Seifert from comment #26)
> Created attachment 615942 [details, diff] [details, diff]
> gstreamer-make43-wo-automake.patch
> 
> Here's Poly's patch with autoreconf applied - this patch doesn't require
> running autoreconf.

Thank you, that patch worked perfectly here.
Comment 28 Silvio 2020-03-08 10:44:34 UTC
Same problem and I confirm patch works.

To apply:


1) mkdir -p /etc/portage/patches/media-libs/gstreamer-1.14.5
2) wget -O /etc/portage/patches/media-libs/gstreamer-1.14.5/make43.patch https://bugs.gentoo.org/attachment.cgi?id=615942
4) emerge -1v gstreamer
Comment 29 Larry the Git Cow gentoo-dev 2020-03-18 11:22:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4096c0d01769e49f8aa815766aad278256c1064c

commit 4096c0d01769e49f8aa815766aad278256c1064c
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-03-18 11:22:22 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-03-18 11:22:22 +0000

    media-libs/gst-plugins-ugly: Fix for >=make-4.3
    
    Closes: https://bugs.gentoo.org/705974
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../files/gst-plugins-ugly-1.14.3-make43.patch          | 17 +++++++++++++++++
 .../gst-plugins-ugly/gst-plugins-ugly-1.14.3.ebuild     |  4 ++++
 2 files changed, 21 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f48af75c6ad428800177a91a510731a0488a233f

commit f48af75c6ad428800177a91a510731a0488a233f
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-03-18 11:22:19 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-03-18 11:22:19 +0000

    media-libs/gst-plugins-good: Fix for >=make-4.3
    
    Closes: https://bugs.gentoo.org/705974
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../files/gst-plugins-good-1.14.5-make43.patch     | 56 ++++++++++++++++++++++
 .../gst-plugins-good-1.14.5.ebuild                 |  4 ++
 2 files changed, 60 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1187bb0a41157cee36a4864ce1ff710dad4c9a1

commit a1187bb0a41157cee36a4864ce1ff710dad4c9a1
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-03-18 11:22:16 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-03-18 11:22:16 +0000

    media-libs/gst-plugins-base: Fix for >=make-4.3
    
    Closes: https://bugs.gentoo.org/705974
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../files/gst-plugins-base-1.14.5-make43.patch     | 312 +++++++++++++++++++++
 .../gst-plugins-base-1.14.5-r1.ebuild              |   4 +
 2 files changed, 316 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58f82ad01331675e463f3dc33e1b5b2c1f69a1a0

commit 58f82ad01331675e463f3dc33e1b5b2c1f69a1a0
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-03-18 11:22:13 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-03-18 11:22:13 +0000

    media-libs/gst-plugins-bad: Fix for >=make-4.3
    
    Closes: https://bugs.gentoo.org/705974
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../files/gst-plugins-bad-1.14.5-make43.patch      | 227 +++++++++++++++++++++
 .../gst-plugins-bad/gst-plugins-bad-1.14.5.ebuild  |   4 +
 2 files changed, 231 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d26d94695c46be522bea60762c7f4a0a47e6778b

commit d26d94695c46be522bea60762c7f4a0a47e6778b
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-03-18 11:22:10 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-03-18 11:22:10 +0000

    media-libs/gstreamer: Fix for >=make-4.3
    
    Closes: https://bugs.gentoo.org/705974
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../gstreamer/files/gstreamer-1.14.5-make43.patch  | 84 ++++++++++++++++++++++
 media-libs/gstreamer/gstreamer-1.14.5.ebuild       |  1 +
 2 files changed, 85 insertions(+)